{% extends "frame.html" %}

{% block content %}
<section class="container">
  <img id="mugshot" alt="Jon Keatley" src="images/mugshot2.jpg" width="250" />
  {{ model["introduction"]|markdown_fmt }}
</section>

<section class="container">
<h2>Timeline</h2>

</section>
{% for event in model["timeline"] %}
<section class="container time-section">
  <div class="row">
		<p class="one-half column event_details with-icon"><i data-feather="{{ event["icon"] }}"></i>{{ event["title"] }}</p>

		<p class="one-half column event_details with-icon"><i data-feather="calendar"></i>
    {{ event["start"]|date_fmt("%b %Y") }} -
    {% if "end" in event %}{{ event["end"]|date_fmt("%b %Y") }}{% else %}Present{% endif %}</p>
	</div>
  {% if event["roles"]|length > 1 %}
	<div class="row">
		<p class="one-half column event_details with-icon"><i data-feather="clock"></i>{{ event["elapsed_txt"] }}</p>
	</div>
  {% endif %}
    {% for role in event["roles"] %}
    <div class="row">
    <p class="one-half event_details_minor column with-icon"><i data-feather="{{ event["icon2"] }}"></i>{{ role["role"] }}</p>
    {% if event["type"] == "company" %}
    <p class="one-half event_details_minor column with-icon"><i data-feather="clock"></i>{{ role["elapsed_txt"] }}</p>
    {% endif %}
    </div>
  	<p>{{role["blurb"] }}</p>
    <p>{% for skill in role["skills"] if model["skills"][skill]["type"] == "language" %}
    <a class="skill s_language" href="skill-{{ skill }}.html">{{ model["skills"][skill]["title"] }}</a>
    {% endfor %}</p>
    <p>{% for skill in role["skills"] if model["skills"][skill]["type"] == "framework" %}
    <a class="skill s_framework" href="skill-{{ skill }}.html">{{ model["skills"][skill]["title"] }}</a>
    {% endfor %}</p>
    <p>{% for skill in role["skills"] if model["skills"][skill]["type"] == "markup" %}
    <a class="skill s_markup" href="skill-{{ skill }}.html">{{ model["skills"][skill]["title"] }}</a>
    {% endfor %}</p>
    <p>{% for skill in role["skills"] if model["skills"][skill]["type"] == "os" %}
    <a class="skill s_os" href="skill-{{ skill }}.html">{{ model["skills"][skill]["title"] }}</a>
    {% endfor %}</p>
    <p>{% for skill in role["skills"] if model["skills"][skill]["type"] == "knowledge" %}
    <a class="skill s_know" href="skill-{{ skill }}.html">{{ model["skills"][skill]["title"] }}</a>
    {% endfor %}
  {% endfor %}</p>

  </section>
{% endfor %}

{% endblock %}
